- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::DateValueRangeProcessor Class Reference

Handle a date range. More...

Inheritance diagram for Xapian::DateValueRangeProcessor:

[legend]
List of all members.

## Public Member Functions
| DateValueRangeProcessor (Xapian::valueno valno_, bool prefer_mdy_=false, int epoch_year_=1970)
| Constructor.
Xapian::valueno | operator() (std::string &begin, std::string &end)
| Check for a valid range of this type.

## Detailed Description

Handle a date range.

Begin and end must be dates in a recognised format.

## Constructor & Destructor Documentation

Xapian::DateValueRangeProcessor::DateValueRangeProcessor | ( | Xapian::valueno | valno_,
|  | bool | prefer_mdy_ = `false`,
|  | int | epoch_year_ = `1970` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | valno_ | The value number to return from operator().
  | prefer_mdy_ | Should ambiguous dates be interpreted as month/day/year rather than day/month/year? (default: false)
  | epoch_year_ | Year to use as the epoch for dates with 2 digit years (default: 1970, so 1/1/69 is 2069 while 1/1/70 is 1970).

## Member Function Documentation

Xapian::valueno Xapian::DateValueRangeProcessor::operator() | ( | std::string & | begin,
|  | std::string & | end |
| ) |  |  | `[virtual]`

Check for a valid range of this type.

If BEGIN..END is a sensible date range, this method returns the value number of range filter on. Otherwise it returns Xapian::BAD_VALUENO.

Implements Xapian::ValueRangeProcessor.

The documentation for this class was generated from the following file:

- xapian/queryparser.h